# Remnant: From The Ashes 1.0.1
# BID: 49CF6B0B0A62F9E2

ALL_FPS:
  # r.DynamicRes.MaxGPUTime ((1000/FPS) * 0.93)
  -
    type: evaluate_write
    address: [MAIN, 0x7E23AF0, 0]
    value_type: float
    value: ["0.93 * FRAMETIME_TARGET", "0.93 * FRAMETIME_TARGET"]
  # r.DynamicRes.MinGPUTime ((1000/FPS) * 0.87)
  -
    type: evaluate_write
    address: [MAIN, 0x7E23B08, 0]
    value_type: float
    value: ["0.87 * FRAMETIME_TARGET", "0.87 * FRAMETIME_TARGET"]
  # r.DynamicRes.MaxGPUTimeStill ((1000/FPS) * 0.945)
  -
    type: evaluate_write
    address: [MAIN, 0x7E23B20, 0]
    value_type: float
    value: ["0.945 * FRAMETIME_TARGET", "0.945 * FRAMETIME_TARGET"]
  # r.DynamicRes.MinGPUTimeStill ((1000/FPS) * 0.93)
  -
    type: evaluate_write
    address: [MAIN, 0x7E23B38, 0]
    value_type: float
    value: ["0.93 * FRAMETIME_TARGET", "0.93 * FRAMETIME_TARGET"]
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0x7E46698, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  -
    type: block
    what: timing
